package Conf;

our %global = (
    
    ## Code version
    'version' => 'closed Beta 1',
    
    ## Name of the application used in web pages, mail notices
    'app_name' => 'eduGAIN Test Identity Provider',
    
    ## URL of the application
    'app_url' => 'https://test-idp.edugain.org/accountmanager',
    
    ## Validity period of test accounts, in days
    'accounts_validity_period' => 7,
    
    ## Token validity period, in hours
    'tokens_validity_period' => 2,

    ## Scope used by the Test IdP
    'idp_scope' => 'test-idp.edugain.org',
    
    ## EntityID of the IdP
    'idp_entityid' => 'https://test-idp.edugain.org/simplesaml/saml2/idp/metadata.php',
    
    ## Name of the IdP
    'idp_displayname' => 'eduGAIN Test Identity Provider',
    
    ## Root simpleSamlPhp directory
    'root_ssp_dir' => '/opt/testidp/simplesamlphp',
    
    ## Root test account manager directory
    'root_manager_dir' => '/opt/testidp/IdPAccountManager',
    
    ## Database type refers to a Perl Database Driver name
    ## However only a subset of existing DBDs are supported by Rose::DB::Object:
    ## Pg, mysql, SQLite, Informix, Oracle (DBD names are case sensitives)
    'database_type' => 'mysql',
    
    ## Database hostname
    'database_host' => 'localhost',
    
    ## Database_name
    'database_name' => 'idp_account_manager',
    
    ## Database username
    'database_user' => 'idpadmin',
    
    ## Database user password
    'database_password' => 'z5*]zWISr',
    
    ## Log file for the manager
    'log_file' => '/opt/testidp/IdPAccountManager/log/manager.log',
    
    ## Log level : debug, info, trace, notice, error
    'log-level' => 'info',
    
    ## email address to contact admins
    'admin_email' => 'olivier.salaun@renater.fr',
    
    ## email address to ask for support
    'support_email' => 'edugain-integration@geant.net',
    
    ## Development feature
    ## Protection to prevent notifications during test dev phases
    ## Notify only admin_email above
    'dev_no_mail_outside' => 1,
    
    ## Development feature
    ## hard-coded list of contactPersons
    ## these email addresses will be added to the list of contacts for any SP
    'dev_sp_contact' => 'olivier.salaun@renater.fr,lukas.haemmerle@switch.ch,thomas.baerecke@switch.ch,florio@terena.org,ann.harding@switch.ch,thomas.lenggenhager@switch.ch,mikael.linden@csc.fi,marco.malavolti@garr.it,marialaura.mantovani@garr.it,pempe@dfn.de,Mandeep.Saini@dante.net,simona.venuti@garr.it,schofield@terena.org',
    #'dev_sp_contact' => 'olivier.salaun@renater.fr,mehdi.hached@renater.fr,lukas.haemmerle@switch.ch,thomas.baerecke@switch.ch',
    
    ## From field use by the account manager
    'notice_from' => 'testidpaccountmanager@geant.net',
        
    ## federation metadata local copy path
    'federation_metadata_file_path' => '/opt/testidp/IdPAccountManager/conf/edugain-md.xml',
    #'federation_metadata_file_path' => '/opt/testidp/IdPAccountManager/conf/renater-test-metadata.xml',
    
    ## valid account profiles
    'account_profiles' => ['generic1','student1','student2','teacher1','teacher2','alumni1','librarywalkin1','employee1','researcher1'],
);
    
1; # Magic true value required at end of module
__END__

=head1 NAME

Conf - Configuration of the Test Account manager

=head1 SYNOPSIS

use Conf;

printf "Version: %s\n", $Conf::global{'version'};

=head1 DESCRIPTION

The Test Account manager instanciates test accounts associated to a SAML Identity Provider. This module is the main configuration file for the
software.

=head1 CONFIGURATION OPTIONS

See the code for the list of supported configuration options

=head1 AUTHOR

Olivier Salaün (olivier.salaun@renater.fr)
